Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.quote
Class MinimumPriceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.beasys.commerce.foundation.exception.FatalApplicationException
                      com.bea.commerce.ebusiness.price.quote.QuoteException
                          com.bea.commerce.ebusiness.price.quote.MinimumPriceException

All Implemented Interfaces
  MessageCatalogException, Serializable

Deprecated

    @Deprecated
    public class MinimumPriceException

extends QuoteException

A MinimumPriceException indicates that some money value is below a prescribed minimum. The prescribed

See Also
  `ApplicationException`, Serialized Form

Field Summary
`static String` | `KEY` Deprecated The name of the resource bundle
`static String` | `MIN` Deprecated
`static String` | `TOTAL_MIN` Deprecated
`static String` | `UNIT_MIN` Deprecated

Fields inherited from class com.bea.commerce.ebusiness.price.quote.QuoteException
`MESSAGE_KEY, MESSAGE_NAMESPACE`

Fields inherited from class com.beasys.commerce.foundation.exception.FatalApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`MinimumPriceException(Money actual, double min)` Deprecated Constructs a new exception with specified values and uses the MinimumPriceException.MIN messsage key.
`MinimumPriceException(Object argument)` Deprecated Class constructor taking an argument for the message.
`MinimumPriceException(String messageKey, Money actual, double min)` Deprecated Constructs a new exception with specified values

Method Summary

Methods inherited from class com.beasys.commerce.foundation.exception.FatalApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY

    public static final String KEY

  Deprecated
  The name of the resource bundle

  See Also
    Constants Summary

### UNIT_MIN

    public static final String UNIT_MIN

  Deprecated
  See Also
    Constants Summary

### TOTAL_MIN

    public static final String TOTAL_MIN

  Deprecated
  See Also
    Constants Summary

### MIN

    public static final String MIN

  Deprecated
  See Also
    Constants Summary

Constructor Detail

### MinimumPriceException

    public MinimumPriceException(Object argument)

  Deprecated
  Class constructor taking an argument for the message. Uses the MinimumPriceException.KEY

  Parameters
    `argument` - parameter to the message catalog.

### MinimumPriceException

    public MinimumPriceException(String messageKey,
                                 Money actual,
                                 double min)

  Deprecated
  Constructs a new exception with specified values

  Parameters
    `messageKey` - The associated catalog message key.
    `actual` - the actual price that is below the minimum.
    `min` - the minimum price the actual price is below.

### MinimumPriceException

    public MinimumPriceException(Money actual,
                                 double min)

  Deprecated
  Constructs a new exception with specified values and uses the MinimumPriceException.MIN messsage key.

  Parameters
    `actual` - the actual price that is below the minimum.
    `min` - the minimum price the actual price is below.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.